# -*- encoding: utf-8 -*-
# stub: timers 4.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "timers".freeze
  s.version = "4.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Samuel Williams".freeze, "Tony Arcieri".freeze]
  s.date = "2019-01-21"
  s.description = "Schedule procs to run after a certain time, or at periodic intervals, using any API that accepts a timeout.".freeze
  s.email = ["samuel@codeotaku.com".freeze, "bascule@gmail.com".freeze]
  s.files = [".editorconfig".freeze, ".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "lib/timers.rb".freeze, "lib/timers/events.rb".freeze, "lib/timers/group.rb".freeze, "lib/timers/interval.rb".freeze, "lib/timers/timer.rb".freeze, "lib/timers/version.rb".freeze, "lib/timers/wait.rb".freeze, "spec/spec_helper.rb".freeze, "spec/timers/cancel_spec.rb".freeze, "spec/timers/events_spec.rb".freeze, "spec/timers/every_spec.rb".freeze, "spec/timers/group_spec.rb".freeze, "spec/timers/performance_spec.rb".freeze, "spec/timers/strict_spec.rb".freeze, "spec/timers/wait_spec.rb".freeze, "timers.gemspec".freeze]
  s.homepage = "https://github.com/socketry/timers".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.1".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Pure Ruby one-shot and periodic timers".freeze
  s.test_files = ["spec/spec_helper.rb".freeze, "spec/timers/cancel_spec.rb".freeze, "spec/timers/events_spec.rb".freeze, "spec/timers/every_spec.rb".freeze, "spec/timers/group_spec.rb".freeze, "spec/timers/performance_spec.rb".freeze, "spec/timers/strict_spec.rb".freeze, "spec/timers/wait_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.6"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.6"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
  end
end
